package tests.fr.cnrs.mri.sijame.connection;

import junit.framework.Assert;
import org.junit.Test;
import fr.cnrs.mri.sijame.connection.SIJAMEServer;


public class SIJAMEServerTest {

	private static int port = 2400;

	@Test
	public void testCommunicationServerPort() {
		SIJAMEServer server = new SIJAMEServer(port);
		Assert.assertEquals(port, server.getPort());
	}

	@Test
	public void testStart() {
		SIJAMEServer server = new SIJAMEServer(port);
		server.start();
		try {
			Thread.sleep(1);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
		Assert.assertTrue(server.isRunning());
		server.shutdown();
		try {
			Thread.sleep(1);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
		Assert.assertFalse(server.isRunning());
	}

	@Test
	public void testGetPort() {
		SIJAMEServer server = new SIJAMEServer(port);
		Assert.assertEquals(port, server.getPort());
	}

	@Test
	public void testShutdown() {
		SIJAMEServer server = new SIJAMEServer(port);
		server.shutdown();
		Assert.assertFalse(server.isRunning());
		server.start();
		try {
			Thread.sleep(1);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
		Assert.assertTrue(server.isRunning());
		server.shutdown();
		try {
			Thread.sleep(1);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
		Assert.assertFalse(server.isRunning()); 
	}

	@Test
	public void testIsRunning() {
		SIJAMEServer server = new SIJAMEServer(port);
		Assert.assertFalse(server.isRunning());
		server.start();
		try {
			Thread.sleep(1);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
		Assert.assertTrue(server.isRunning());
		server.shutdown();
		try {
			Thread.sleep(1);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
		Assert.assertFalse(server.isRunning()); 
	}
}
